# Package org.apache.tomcat.util.codec

Interface Summary
Interface | Description
--- | ---
BinaryDecoder | Defines common decoding methods for byte array decoders.
BinaryEncoder | Defines common encoding methods for byte array encoders.
Decoder | Provides the highest level of abstraction for Decoders.
Encoder | Provides the highest level of abstraction for Encoders.

Exception Summary
Exception | Description
--- | ---
DecoderException | Thrown when there is a failure condition during the decoding process.
EncoderException | Thrown when there is a failure condition during the encoding process.